Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.crmf
Class CertRequest

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.crmf.CertRequest

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class CertRequest
extends ASN1Object

Constructor Summary
`CertRequest(ASN1Integer certReqId, CertTemplate certTemplate, Controls controls)`
`CertRequest(int certReqId, CertTemplate certTemplate, Controls controls)`

Method Summary
`ASN1Integer` | `getCertReqId()`
`CertTemplate` | `getCertTemplate()`
`Controls` | `getControls()`
`static CertRequest` | `getInstance(java.lang.Object o)`
`ASN1Primitive` | `toASN1Primitive()` CertRequest ::= SEQUENCE { certReqId INTEGER, -- ID for matching request and reply certTemplate CertTemplate, -- Selected fields of cert to be issued controls Controls OPTIONAL } -- Attributes affecting issuance

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertRequest

    public CertRequest(int certReqId,
                       CertTemplate certTemplate,
                       Controls controls)

### CertRequest

    public CertRequest(ASN1Integer certReqId,
                       CertTemplate certTemplate,
                       Controls controls)

Method Detail

### getInstance

    public static CertRequest getInstance(java.lang.Object o)

### getCertReqId

    public ASN1Integer getCertReqId()

### getCertTemplate

    public CertTemplate getCertTemplate()

### getControls

    public Controls getControls()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  CertRequest ::= SEQUENCE { certReqId INTEGER, -- ID for matching request and reply certTemplate CertTemplate, -- Selected fields of cert to be issued controls Controls OPTIONAL } -- Attributes affecting issuance

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a basic ASN.1 object representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD